Skip to content
Snippets Groups Projects
Commit 6c30e939 authored by Bob Mottram's avatar Bob Mottram
Browse files

Installing cake

parent 1548ff2d
No related branches found
No related tags found
No related merge requests found
......@@ -459,7 +459,15 @@ function install_edith {
cp "/var/www/$EDITH_DOMAIN_NAME/htdocs/htaccess.example" "/var/www/$EDITH_DOMAIN_NAME/htdocs/.htaccess"
cd "/var/www/$EDITH_DOMAIN_NAME/htdocs" || exit 26482468
npm install -g coffeescript uglify-js
npm install -g coffeescript
if [ -f /root/.npm-global/lib/node_modules/coffeescript/bin/cake ]; then
cp /root/.npm-global/lib/node_modules/coffeescript/bin/cake /usr/local/bin/cake
fi
if [ ! -f /usr/local/bin/cake ]; then
echo $'/usr/local/bin/cake was not found'
exit 5835683
fi
npm install -g uglify-js
if ! cake build; then
echo $'Unable to build Edith'
exit 7396483635
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment